#include "cGame.h"
#include "cBrain.h"
#include "MediaVars.h"

cBrain::cBrain(cGame *g, double xx, double yy)
{
	game = g;
	x = xx;
	y = yy;
	depth = 0;
	collide.SetPosition(xx,yy);
	collide.SetLeft(12);
	collide.SetTop(44);
	collide.SetRight(52);
	collide.SetBottom(64);
	objectType = BRAIN;
	depth = (collide.GetY()+44);
	destroyed = false;
}

void cBrain::Update()
{
}

void cBrain::Draw()
{
	sprBrain->SetPosition((float)(int)x,(float)(int)y);
	game->GetWindow()->Draw(*sprBrain);
	sprShadow->SetPosition((float)(int)x,(float)(int)y);
	game->GetWindow()->Draw(*sprShadow);
}